Re: How to upgrade my bosh?


Amit Kumar Gupta
 

Hi Alex,

That's not correct. bosh-init is an executable binary, written in golang,
used to deploy single-VM deployments of anything you can colocate onto one
VM. Using it to deploy BOSH itself is the most common use case, so you
could call that Micro BOSH. *bosh-init* is different from *BOSH-Lite*.
BOSH-Lite is a project for producing a vagrant VM running the BOSH director
along with garden, which creates containers which simulates VMs (the BOSH
director in the BOSH-Lite vagrant box talks to garden via the warden-cpi to
create "VMs", which in this care are just garden containers).

daxiezhi,

If you are using BOSH-Lite, I believe there is no upgrade path, as it is
only meant for development purposes. From the "bosh-lite" directory, you
will need to:

vagrant box update
vagrant destroy
vagrant up

See http://stackoverflow.com/questions/25914383/update-a-vagrant-box. You
will then need to re-provision everything, i.e. reupload the stemcell,
release, and do a "bosh deploy" with your cf manifest.

Best,
Amit

On Tue, Sep 15, 2015 at 9:56 AM, Alex Lomoff <lomov.as(a)gmail.com> wrote:

Sorry, I guess some misunderstanding took place.

Approximately the same number you’ll get if you run `gem list bosh_cli`
because bosh-director has the same version numbering as a bosh_cli, as far
they are parts of the same project of cloudfoundry/bosh repo. So I thought
@daxiezhi probably wants to update CLI through gem.

As far as I know bosh-lite is a go utility to deploy MicroBOSH. It aims to
replace BOSH CLI plugin “micro", the outdated way to deploy MicrBOSH. Do
you mean that at this moment MicroBOSH deployed with bosh-lite should be
called BOSH-Lite?

On Sep 15, 2015, at 4:23 PM, Amit Gupta <agupta(a)pivotal.io> wrote:

For me, `bosh -t lite status` shows "Version 1.3056.0 (00000000)". I
believe that's the version of the bosh-director gem:
https://rubygems.org/gems/bosh-director/versions/

On Tue, Sep 15, 2015 at 4:34 AM, Alex Lomoff <lomov.as(a)gmail.com> wrote:

Hi, all.

Amit, I guess it is not bosh-lite version, because bosh-lite versions are
over 9000 [1].

daxiezhi, if you mean by “local bosh” your version of bosh_cli gem, then
everything you need to do is to run: “gem update bosh_cli” (possibly with
sudo).

If you mean you need to update BOSH director, then everything depend on
the you deployed the BOSH. In this case could you tell what commands did
you used to deploy BOSH?

[1] https://github.com/cloudfoundry/bosh-lite/releases

Thank you,
Alex L.

On Sep 14, 2015, at 7:00 PM, Amit Gupta <agupta(a)pivotal.io> wrote:

When you say "local bosh", do you mean BOSH-Lite?

On Wed, Jun 3, 2015 at 4:03 AM, daxiezhi <daxiezhi(a)gmail.com> wrote:

Hi,all.
My local bosh version is 1.2124.0. From cf v208, there is a change in
the templates to no longer include resoure pool sizes require s a minimun
bosh director of v149. So I guess the solution is to upgrade bosh. But I
couldn't find a doc for it.

Join cf-bosh@lists.cloudfoundry.org to automatically receive all group messages.